Bug 562645 - update redland / raptor / rasqal asap
Summary: update redland / raptor / rasqal asap
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: raptor
Version: 12
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 610181 (view as bug list)
Depends On:
Blocks: 565329
TreeView+ depends on / blocked
 
Reported: 2010-02-07 20:07 UTC by Simon Lewis
Modified: 2010-11-04 19:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 565329 (view as bug list)
Environment:
Last Closed: 2010-11-04 19:07:40 UTC
Type: ---


Attachments (Terms of Use)

Description Simon Lewis 2010-02-07 20:07:48 UTC
Multimedia applications such as qtractor are tripping over librdf...

The error message comes from when starting the application:

Warning: Unable to create "trees" RDF storage.
Performance can be improved by upgrading librdf.

This message appears to come from redland sources...

Comment 1 Orcan Ogetbil 2010-02-14 04:25:26 UTC
This is not as easy as it sounds. openoffice.org depends on these packages and a rebuild of these libraries will require a rebuild of openoffice.org (among with other packages). Certain fellows with slow connections get mad when there are such minor updates in huge packages.

If you can convince the openoffice.org maintainers for a rebuild then we might consider the update. Otherwise, these updates will be part of F-13 and above

Comment 2 Simon Lewis 2010-02-14 20:24:04 UTC
(In reply to comment #1)

I have closed this bug and created bug request 565329 for the attention of openoffice maintainers.

The deference of the update hits those multimedia apps using new LV2 plugin interface.

To be honest there is no reason for users not to upgrade to a faster connection. I don't know about USA but in Europe the high-speed links are priced cheaper because the suppliers want to retire the older technology.

Comment 3 Kevin Kofler 2010-02-15 09:31:19 UTC
Ultimately redland is still what needs to be updated first, so let's keep this open as well.

Comment 4 Orcan Ogetbil 2010-02-15 16:19:23 UTC
Well, that's the problem. New redland needs new rasqal>=0.9.16. That's where the ABI breaks.

Comment 5 Simon Lewis 2010-02-16 09:44:37 UTC
If I understand this correctly Redland introduced an ABI and API change in rasqal 0.9.16 which is not backwards compatible.

Should redland have renaned the version to rasqal2 so that both API versions could co-exist side-by-side?

Comment 6 Luis Garrido 2010-03-12 11:43:52 UTC
Seems a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=496323

Comment 7 Simon Lewis 2010-04-05 07:40:09 UTC

I notice that openoffice 3.2 is compiled aggainst redland 1.0.10 in fc13.

Is it not time that openoffice is updated in fc12?

This we could update the multi-media apps on fc12...

Comment 8 Bug Zapper 2010-11-03 22:47:34 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Simon Lewis 2010-11-04 17:30:25 UTC
Backporting openoffice.org 3.2 to fc12 would be a nice touch before support for fc12 is dropped....

Comment 10 Kevin Kofler 2010-11-04 19:07:40 UTC
Sorry, but at this stage of the F12 support cycle, any upgrade of this type (both the requested Redland stack update and any OO.o feature upgrade) is basically not going to happen anymore. (We're supposed to be very conservative during the last month of support, e.g. new packages are no longer allowed.)

Comment 11 Kevin Kofler 2010-11-04 19:09:14 UTC
*** Bug 610181 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.